## system-storage-manager 0.3

=== debian/changelog ===
system-storage-manager (0.3-1) unstable; urgency=low

  * [6a07e49] Imported Upstream version 0.3
  * [e154845] fix vcs links
  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 16 Jun 2013 14:49:58 +0530

system-storage-manager (0.2-1) experimental; urgency=low

  * Initial release. (Closes: #684347)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 09 Aug 2012 19:01:02 +0530
