=== debian/changelog ===
system-storage-manager (0.4-1) unstable; urgency=medium

  * [565bd7a] Imported Upstream version 0.4
  * [f9bcfa3] Refresh patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 16 Jun 2015 23:02:44 +0530
