=== debian/control ===
Source: system-storage-manager
Priority: extra
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3~), python-argparse
Standards-Version: 3.9.2
Section: utils
Homepage: https://sourceforge.net/p/storagemanager/home/
Vcs-Git: git://anonscm.debian.org/collab-maint/system-storage-manager.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/system-storage-manager.git;a=summary

Package: system-storage-manager
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-argparse, xfsprogs, lvm2, btrfs-tools, dmsetup, cryptsetup-bin
Description: system storage management tool
 System Storage Manager provides an easy to use command line interface to
 manage your storage using various technologies like lvm, btrfs, encrypted
 volumes and more.
 .
 In more sophisticated enterprise storage environments, management with
 Device Mapper (dm), Logical Volume Manager (LVM), or Multiple Devices (md)
 is becoming increasingly more difficult.  With file systems added to the mix,
 the number of tools needed to configure and manage storage has grown so large
 that it is simply not user friendly.  With so many options for a system
 administrator to consider, the opportunity for errors and problems is large.
 .
 You should install the ssm if you need to manage your storage with various
 technologies via a single unified interface.
