=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 %:
 	dh $@ --with python2
 
+override_dh_auto_clean:
+	[ ! -f Makefile ] || mv -f Makefile Makefile.bak
