=== debian/watch ===
version=3
http://sf.net/storagemanager/system-storage-manager-(.*)\.tar\.gz
